Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 13/03/2017, à 14:54

shadowval

Imprimante MG3560

Bonjour,

Je viens de faire l'acquisition d'une imprimante Canon MG3560. Après avoir suivi plusieurs tutoriels, je n'arrive pas à avancer car j'ai une erreur.

J'installe ceci comme on me dit :

sudo add-apt-repository ppa:robbiew/cups-bjnp

J'obtiens ceci :

Plus d’info : [url]https://launchpad.net/~robbiew/+archive/ubuntu/cups-bjnp[/url]
Appuyez sur [ENTRÉE] pour continuer ou Ctrl-C pour annuler l’ajout

gpg: le porte-clefs « /tmp/tmpdxau_gpd/secring.gpg » a été créé
gpg: le porte-clefs « /tmp/tmpdxau_gpd/pubring.gpg » a été créé
gpg: demande de la clef 3BC5C7E9 sur le serveur hkp keyserver.ubuntu.com
gpg: /tmp/tmpdxau_gpd/trustdb.gpg : base de confiance créée
gpg: clef 3BC5C7E9 : clef publique « Launchpad PPA for Robbie Williamson » importée
gpg: Quantité totale traitée : 1
gpg:               importées : 1  (RSA: 1)
OK

J'ai l'impression que ça a l'air correct. Je fais un coup de update et là, je vois des erreurs de type :

W: The repository 'http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://ppa.launchpad.net/robbiew/cups-bjnp/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Impossible de récupérer [url]http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/xenial/main/binary-amd64/Packages[/url]  404  Not Found
E: Impossible de récupérer [url]http://ppa.launchpad.net/robbiew/cups-bjnp/ubuntu/dists/xenial/main/binary-amd64/Packages[/url]  404  Not Found
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Donc forcément, quand j'essaie d'installer le paquet sudo apt-get install cups-bnjp, bah j'ai une erreur qui me dit qu'il ne connait pas ce paquet...

Une idée pour moi ?

Merci à tous smile


Modération : merci à l'avenir d'utiliser les balises code (explications ici).

Dernière modification par cqfd93 (Le 13/03/2017, à 14:56)

Hors ligne

#2 Le 13/03/2017, à 15:50

L'Africain

Re : Imprimante MG3560

Le dépôt Mickaël gruz n'a pas d'entrée pour xenial essaye avec trust dans le sources.list. le cups bjnp je crois qu'il est dans les dépôts officiels.


Ubuntu 16.04 LDLC (clevo) X/Lubuntu (Mate) 16.04 sur asus.
"Donne à celui qui te demande…" Mt 5, 42

Hors ligne

#3 Le 13/03/2017, à 15:55

shadowval

Re : Imprimante MG3560

L'Africain a écrit :

Le dépôt Mickaël gruz n'a pas d'entrée pour xenial essaye avec trust dans le sources.list. le cups bjnp je crois qu'il est dans les dépôts officiels.


Désolé je débute, comment je fais ça ? smile

Hors ligne

#4 Le 13/03/2017, à 17:13

L'Africain

Re : Imprimante MG3560

J'ai vu que tu as ajouté le dépôt canon à tes sources_list mais il n'est pas actif pour xenial:

The repository 'http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu xenial Release' does not have a Release file.

Donc suis les instructions données sur cette page pour 16.04 : /tutoriel/ppa_canon.
Le paquet cups-bjnp par contre contrairement à ce que j'ai dit n'est pas dans les dépôts c'est le paquet cups-backend-bjnp, pas besoin donc d'ajouté le ppa de robbiew, c'est uniquement pour Precise, toi installe le paquet avec la commande:

sudo apt install cups-backend-bjnp

Ubuntu 16.04 LDLC (clevo) X/Lubuntu (Mate) 16.04 sur asus.
"Donne à celui qui te demande…" Mt 5, 42

Hors ligne

#5 Le 13/03/2017, à 17:21

shadowval

Re : Imprimante MG3560

cups-backend-bjnp is already the newest version (2.0-0ubuntu2).

J'ai donc déjà installé ce paquet...

Hors ligne

#6 Le 13/03/2017, à 17:23

L'Africain

Re : Imprimante MG3560

Ok parfait maintenant il te reste à ajouter le ppa comme indiqué sur le lien de post précédent en modifiant simplement xenial par trusty (soit en manuel) soit en automatique puis tu modifie via l'interface graphique des sources de logiciels.
Au fait où as-tu vu que le dépôts de mickael gruz est le bon pour ton imprimante?
Il faudra peut-être récupérer le pilote manuellement parce que chez moi les paquets ne sont pas listés dans synaptic après l'ajout du ppa.
Tu peux les trouver ici http://ppa.launchpad.net/michael-gruz/c … er-common/

Edit: Je crois que tu trouveras tout ici https://www.canon.com.au/printers/pixma … on=drivers tu télécharges les debianpackage, le pilote pour l'imprimante et celui pour le scanner, pour l'installer la procédure est sur la page https://doc.ubuntu-fr.org/tutoriel/inst … site_canon

Dernière modification par L'Africain (Le 13/03/2017, à 17:37)


Ubuntu 16.04 LDLC (clevo) X/Lubuntu (Mate) 16.04 sur asus.
"Donne à celui qui te demande…" Mt 5, 42

Hors ligne

#7 Le 13/03/2017, à 17:37

shadowval

Re : Imprimante MG3560

Je l'ai modifié manuellement dans le fichier liste. Que dois-je faire ensuite ? smile

Hors ligne

#8 Le 13/03/2017, à 17:39

L'Africain

Re : Imprimante MG3560

Désolé, nos messages se sont croisés, regarde le post précédent que j'avais édité parce que je suis pas sûr que ton pilote est dans le ppa (voir ma question comment tu t'es dit qu'il était dedans) donc il est préférable de travailler avec les pilotes de chez Canon. Désolé pour l'embrouille.

Dernière modification par L'Africain (Le 13/03/2017, à 17:40)


Ubuntu 16.04 LDLC (clevo) X/Lubuntu (Mate) 16.04 sur asus.
"Donne à celui qui te demande…" Mt 5, 42

Hors ligne